package de.intevation.flys.client.client.ui;

public class UIProviderFactory {

    private UIProviderFactory() {
    }

    public static UIProvider getProvider(String uiProvider) {
      System.out.println("Provider: " + uiProvider);
        if (uiProvider == null || uiProvider.equals("")) {
            return new SelectProvider();
        }
        else if (uiProvider.equals("select_with_map")) {
            return new MapSelection();
        }
        else if (uiProvider.equals("location_distance_panel")) {
            return new LocationDistancePanel();
        }
        else if (uiProvider.equals("location_panel")) {
            return new SingleLocationPanel();
        }
        else if (uiProvider.equals("distance_panel")) {
            return new DistancePanel();
        }
        else if (uiProvider.equals("wq_panel")) {
            return new WQInputPanel();
        }
        else if (uiProvider.equals("wq_panel_adapted")) {
            return new WQAdaptedInputPanel();
        }
        else if (uiProvider.equals("river_panel")) {
            return new LinkSelection();
        }
        else {
            return new SelectProvider();
        }
    }
}
